
Foreman - Bug #25613

Template snapshot tests should use multiple OS families

12/03/2018 03:25 PM - Tomer Brisker

Status: New   

Priority: Normal   

Assignee: Lukas Zapletal   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, all snaps are generated using a RH host, so they don't correctly reflect real use case. 

https://github.com/theforeman/foreman/blob/develop/test/unit/foreman/renderer/template_snapshot_service.rb#L25

Related issues:

Related to Foreman - Bug #25567: Wrong provision method signature for RancherOS Closed

History

#1 - 12/04/2018 01:13 PM - Lukas Zapletal

- Triaged changed from No to Yes

So what is exactly wrong with this? RH is the primary architectury for foreman, at least most devs use RH systems. Do you mean we should run them

twice - once for Debian and once for RH system?

#2 - 12/04/2018 01:17 PM - Tomer Brisker

- Related to Bug #25567: Wrong provision method signature for RancherOS added

#3 - 12/04/2018 01:19 PM - Tomer Brisker

That we don't validate the templates work for the correct OS family - this was raised because #25567 was hit because the snapshots missed to catch

the fact that rancherOS couldn't render templates at all, since the template snapshot for the rancheros templates was rendered using a rh host.

#4 - 10/30/2019 09:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/7140 added

#5 - 10/30/2019 09:58 AM - Lukas Zapletal

- Subject changed from template snapshots should use correct os family  to Template snapshot tests should use multiple OS families

- Category deleted (Tests)

- Assignee deleted (Lukas Zapletal)

And PXE loader as well.

#6 - 10/30/2019 10:20 AM - The Foreman Bot

- Assignee set to Lukas Zapletal

#7 - 03/12/2020 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/7140)
